Package org.eclipse.wst.xsl.core.internal.modelhandler

## org.eclipse.wst.xsl.core.internal.modelhandler
Class XSLModelLoader

    public class XSLModelLoader
    extends XMLModelLoader

This class reads an XML file and creates an XML Structured Model.

## Constructor Summary

`XSLModelLoader()`

## Method Summary

`public IDocumentLoader` | `getDocumentLoader()`
`public IModelLoader` | `newInstance()`
`public IStructuredModel` | `newModel()`
`protected void` | `preLoadAdapt(IStructuredModel structuredModel)`

## Constructor Detail

## XSLModelLoader

`public XSLModelLoader()`

XMLLoader constructor comment.

## Methods Detail

## getDocumentLoader

`public IDocumentLoader getDocumentLoader()`

### Returns

`IDocumentLoader`

## newInstance

`public IModelLoader newInstance()`

### Returns

`IModelLoader`

## newModel

`public IStructuredModel newModel()`

### Returns

`IStructuredModel`

## preLoadAdapt

`protected void preLoadAdapt(IStructuredModel structuredModel)`

### Parameters

`structuredModel`